newRandomCollection.Niche {galgo} | R Documentation

## Creates a list of cloned niches with its internal values generated by random

### Description

Creates a list of cloned niches with its internal values generated by random.

### Usage

    ## S3 method for class 'Niche'
    newRandomCollection(.O, ...)

### Arguments

`n` | Number of object clones.

### Details

Creates a list of cloned niches with its internal values generated by random. For all cloned objects, `generateRandom` method is called.

### Value

Returns a list with cloned objects and random generated values.

### Author(s)

Victor Trevino. Francesco Falciani Group. University of Birmingham, U.K. http://www.bip.bham.ac.uk/bioinf

### References

Goldberg, David E. 1989 Genetic Algorithms in Search, Optimization and Machine Learning. Addison-Wesley Pub. Co. ISBN: 0201157675

### See Also

For more information see `Niche`. `unObject`, `as.list.Object`, `newCollection.Niche`, `Chromosome`, `Niche`, `World`.

### Examples

       cr <- Chromosome(genes=newCollection(Gene(shape1=1, shape2=100),5))
       cr

       ni <- Niche(chromosomes = newRandomCollection(cr, 2))
       ni

       wo <- World(niches = newRandomCollection(ni, 2))
       wo

[Package galgo version 1.4 Index]